µMACE

Certificate details

Certificate ID #3601
Status historical
Historical reason SP 800-56Arev3 transition
Validation dates 14.01.2020
Standard FIPS 140-2
Security level 2
Type Hardware
Embodiment Single Chip
Caveat When operated in FIPS mode and installed, initialized and configured as specified in Sections 2 and 9 of the Security Policy
Exceptions
  • Physical Security: Level 3
  • EMI/EMC: Level 3
  • Design Assurance: Level 3
  • Mitigation of Other Attacks: N/A
Description The µMACE cryptographic processor is used in security modules embedded in Motorola Solutions security products.
Version (Hardware) P/N 51009730001, Rev 0x0001
Version (Firmware) R03.01.12 with or without AES128 R01.00.01, AES256 R01.00.03, and/or ADP/DES-XL/DES-OFB/DES-ECB/DES-CBC/DVI-XL/DVP-XL/Localized Capable R01.00.00
Vendor Motorola Solutions, Inc. http://www.motorolasolutions.com
Lab UL Verification Services, Inc.
Algorithms
References

This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates.

Security policy

Extracted keywords

Symmetric Algorithms
AES-256, AES128, AES256, AES-128, AES, HMAC, CMAC
Asymmetric Algorithms
ECDH, ECDSA, ECC, Diffie-Hellman, DHE
Hash functions
SHA-384, SHA-256
Schemes
MAC, Key Agreement
Protocols
TLS, TLS v1.2
Randomness
RNG
Elliptic Curves
P-384
Block cipher modes
ECB, CBC, CTR, CFB, OFB, GCM

Security level
level 2, Level 3

Automated analysis

Automated inference - use with caution

All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.

No automatically derived data are available in this section.

Cross-references

No references are available for this certificate.

Processing updates

Feed
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate was first processed.

Raw data

{
  "_type": "sec_certs.sample.fips.FIPSCertificate",
  "cert_id": 3601,
  "dgst": "1d8090bacab301ca",
  "heuristics": {
    "_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
    "algorithms": {
      "_type": "Set",
      "elements": [
        "AES#5079",
        "#4133",
        "KAS#C216",
        "#5075",
        "AES#5075",
        "#5076",
        "#4132",
        "#C216",
        "#5078",
        "ECDSA#C216",
        "HMAC#3387",
        "SHS#4133",
        "#3387",
        "#1636",
        "SHS#4132",
        "#3386",
        "CVL#1636",
        "KTS#5078",
        "AES#5077",
        "AES#5078",
        "#5079",
        "AES#5076",
        "HMAC#3386",
        "#5077"
      ]
    },
    "cpe_matches": null,
    "direct_transitive_cves": null,
    "extracted_versions": {
      "_type": "Set",
      "elements": [
        "03.01.12",
        "01.00.03",
        "01.00.00",
        "01.00.01"
      ]
    },
    "indirect_transitive_cves": null,
    "module_processed_references": {
      "_type": "sec_certs.sample.certificate.References",
      "directly_referenced_by": null,
      "directly_referencing": null,
      "indirectly_referenced_by": null,
      "indirectly_referencing": null
    },
    "module_prunned_references": {
      "_type": "Set",
      "elements": []
    },
    "policy_processed_references": {
      "_type": "sec_certs.sample.certificate.References",
      "directly_referenced_by": null,
      "directly_referencing": null,
      "indirectly_referenced_by": null,
      "indirectly_referencing": null
    },
    "policy_prunned_references": {
      "_type": "Set",
      "elements": []
    },
    "related_cves": null,
    "verified_cpe_matches": null
  },
  "pdf_data": {
    "_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
    "br1_deviations": 42,
    "br1_tables": null,
    "is_br1_format": false,
    "keywords": {
      "asymmetric_crypto": {
        "ECC": {
          "ECC": {
            "ECC": 1
          },
          "ECDH": {
            "ECDH": 10
          },
          "ECDSA": {
            "ECDSA": 32
          }
        },
        "FF": {
          "DH": {
            "DHE": 2,
            "Diffie-Hellman": 8
          }
        }
      },
      "certification_process": {},
      "cipher_mode": {
        "CBC": {
          "CBC": 6
        },
        "CFB": {
          "CFB": 3
        },
        "CTR": {
          "CTR": 4
        },
        "ECB": {
          "ECB": 5
        },
        "GCM": {
          "GCM": 11
        },
        "OFB": {
          "OFB": 8
        }
      },
      "cplc_data": {},
      "crypto_engine": {},
      "crypto_library": {},
      "crypto_protocol": {
        "TLS": {
          "TLS": {
            "TLS": 14,
            "TLS v1.2": 1
          }
        }
      },
      "crypto_scheme": {
        "KA": {
          "Key Agreement": 4
        },
        "MAC": {
          "MAC": 5
        }
      },
      "device_model": {},
      "ecc_curve": {
        "NIST": {
          "P-384": 16
        }
      },
      "eval_facility": {},
      "fips_cert_id": {
        "Cert": {
          "#3386": 1,
          "#3387": 1,
          "#4132": 3,
          "#4133": 1,
          "#5076": 4,
          "#5077": 5,
          "#5078": 1
        }
      },
      "fips_certlike": {
        "Certlike": {
          "# C216": 1,
          "AES Cert. #5077": 1,
          "AES Cert. #5078": 1,
          "AES [197": 11,
          "AES-128": 2,
          "AES-128 (Cert. #5076": 1,
          "AES-256": 5,
          "AES-256 (Cert. #5077": 1,
          "AES128": 2,
          "AES256": 3,
          "HMAC [198": 2,
          "HMAC-384": 2,
          "HMAC-384 KAT (Cert. #3386": 1,
          "HMAC-384 KAT (Cert. #3387": 1,
          "SHA(384": 3,
          "SHA- 384": 1,
          "SHA-256": 4,
          "SHA-384": 11,
          "SHS [180": 2
        }
      },
      "fips_security_level": {
        "Level": {
          "Level 3": 1,
          "level 2": 1
        }
      },
      "hash_function": {
        "SHA": {
          "SHA2": {
            "SHA-256": 4,
            "SHA-384": 11
          }
        }
      },
      "ic_data_group": {},
      "javacard_api_const": {},
      "javacard_packages": {},
      "javacard_version": {},
      "os_name": {},
      "pq_crypto": {},
      "randomness": {
        "RNG": {
          "RNG": 3
        }
      },
      "side_channel_analysis": {},
      "standard_id": {
        "FIPS": {
          "FIPS 140-2": 11,
          "FIPS 186-4": 3,
          "FIPS PUB 140-2": 1,
          "FIPS140-2": 1
        },
        "NIST": {
          "SP 800-38D": 2,
          "SP 800-38F": 9
        },
        "RFC": {
          "RFC 5246": 1,
          "RFC 5288": 1,
          "RFC 7714": 2,
          "RFC2246": 1,
          "RFC3711": 1,
          "RFC5246": 1,
          "RFC5286": 1,
          "RFC7714": 1
        }
      },
      "symmetric_crypto": {
        "AES_competition": {
          "AES": {
            "AES": 34,
            "AES-128": 3,
            "AES-256": 6,
            "AES128": 2,
            "AES256": 3
          }
        },
        "constructions": {
          "MAC": {
            "CMAC": 1,
            "HMAC": 5
          }
        }
      },
      "tee_name": {},
      "tls_cipher_suite": {},
      "vendor": {},
      "vulnerability": {}
    },
    "module_algorithms": {
      "_type": "Set",
      "elements": [
        "HMAC#3387",
        "AES#5079",
        "SHS#4132",
        "CVL#1636",
        "KTS#5078",
        "AES#5077",
        "AES#5075",
        "AES#5078",
        "KAS#C216",
        "HMAC#3386",
        "AES#5076",
        "SHS#4133",
        "ECDSA#C216"
      ]
    },
    "policy_algorithms": {
      "_type": "Set",
      "elements": [
        "#3386",
        "#4133",
        "#5077",
        "#4132",
        "#5076",
        "#3387",
        "#5075",
        "#1636",
        "#5079",
        "#C216",
        "#5078"
      ]
    },
    "policy_metadata": {
      "/Author": "Brandon Stegall",
      "/Company": "Microsoft",
      "/CreationDate": "D:20200110095625-08\u002700\u0027",
      "/Creator": "Acrobat PDFMaker 17 for Word",
      "/ModDate": "D:20200110095656-08\u002700\u0027",
      "/Producer": "Adobe PDF Library 15.0",
      "/SourceModified": "D:20200110175602",
      "/Subject": "FIPS 140-2 Security Policy Template",
      "pdf_file_size_bytes": 563708,
      "pdf_hyperlinks": {
        "_type": "Set",
        "elements": [
          "http://csrc.nist.gov/groups/STM/cmvp/validation.html"
        ]
      },
      "pdf_is_encrypted": false,
      "pdf_number_of_pages": 28
    }
  },
  "state": {
    "_type": "sec_certs.sample.fips.InternalState",
    "module": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": true,
      "download_ok": true,
      "extract_ok": true,
      "json_hash": null,
      "source_hash": null,
      "txt_hash": null
    },
    "policy": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": true,
      "download_ok": true,
      "extract_ok": true,
      "json_hash": "f01832bd54fc54b8ed03230d6e661d7d756a7d2482f004c4970fb0ba7aa9cfaf",
      "source_hash": "0183b65550dcac9f89d3c9f4c9e6a57f2755e24e946867350a63520bb3f1f5da",
      "txt_hash": "32e7b5bf05d135a56b78b96735656929bd3e952036d729f22aeb8fe86b4c5219"
    }
  },
  "web_data": {
    "_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
    "caveat": "When operated in FIPS mode and installed, initialized and configured as specified in Sections 2 and 9 of the Security Policy",
    "certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/Jan2020ConsolidatedCert.pdf",
    "date_sunset": null,
    "description": "The \u00b5MACE cryptographic processor is used in security modules embedded in Motorola Solutions security products.",
    "embodiment": "Single Chip",
    "exceptions": [
      "Physical Security: Level 3",
      "EMI/EMC: Level 3",
      "Design Assurance: Level 3",
      "Mitigation of Other Attacks: N/A"
    ],
    "fw_versions": "R03.01.12 with or without AES128 R01.00.01, AES256 R01.00.03, and/or ADP/DES-XL/DES-OFB/DES-ECB/DES-CBC/DVI-XL/DVP-XL/Localized Capable R01.00.00",
    "historical_reason": "SP 800-56Arev3 transition",
    "hw_versions": "P/N 51009730001, Rev 0x0001",
    "level": 2,
    "mentioned_certs": {},
    "module_name": "\u00b5MACE",
    "module_type": "Hardware",
    "revoked_link": null,
    "revoked_reason": null,
    "standard": "FIPS 140-2",
    "status": "historical",
    "sw_versions": null,
    "tested_conf": null,
    "validation_history": [
      {
        "_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
        "date": "2020-01-14",
        "lab": "UL Verification Services, Inc.",
        "validation_type": "Initial"
      }
    ],
    "vendor": "Motorola Solutions, Inc.",
    "vendor_url": "http://www.motorolasolutions.com"
  }
}